org.icefaces.ace.component.menu

## Interface IMenu

- All Known Implementing Classes:
    Menu, MenuBase

      public interface IMenu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAt()`
    `java.lang.String` | `getBackLabel()`
    `java.lang.String` | `getEffect()`
    `int` | `getEffectDuration()`
    `java.lang.Integer` | `getForceUpdateCounter()`
    `int` | `getMaxHeight()`
    `MenuModel` | `getModel()`
    `java.lang.String` | `getMy()`
    `java.lang.String` | `getPosition()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getSubmenuLabels()`
    `java.lang.String` | `getTrigger()`
    `java.lang.String` | `getTriggerEvent()`
    `java.lang.String` | `getType()`
    `java.lang.String` | `getWidgetVar()`
    `int` | `getZindex()`
    `java.lang.Boolean` | `isForceMenuUpdate()`
    `boolean` | `isTiered()`
    `void` | `setAt(java.lang.String at)`
    `void` | `setBackLabel(java.lang.String backLabel)`
    `void` | `setEffect(java.lang.String effect)`
    `void` | `setEffectDuration(int effectDuration)`
    `void` | `setForceMenuUpdate(java.lang.Boolean forceMenuUpdate)`
    `void` | `setForceUpdateCounter(java.lang.Integer forceUpdateCounter)`
    `void` | `setMaxHeight(int maxHeight)`
    `void` | `setModel(MenuModel model)`
    `void` | `setMy(java.lang.String my)`
    `void` | `setPosition(java.lang.String position)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setSubmenuLabels(java.lang.String submenuLabels)`
    `void` | `setTiered(boolean tiered)`
    `void` | `setTrigger(java.lang.String trigger)`
    `void` | `setTriggerEvent(java.lang.String triggerEvent)`
    `void` | `setType(java.lang.String type)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`
    `void` | `setZindex(int zindex)`

- - ### Method Detail

    - #### setAt

          void setAt(java.lang.String at)

    - #### getAt

          java.lang.String getAt()

    - #### setBackLabel

          void setBackLabel(java.lang.String backLabel)

    - #### getBackLabel

          java.lang.String getBackLabel()

    - #### setEffect

          void setEffect(java.lang.String effect)

    - #### getEffect

          java.lang.String getEffect()

    - #### setEffectDuration

          void setEffectDuration(int effectDuration)

    - #### getEffectDuration

          int getEffectDuration()

    - #### setForceMenuUpdate

          void setForceMenuUpdate(java.lang.Boolean forceMenuUpdate)

    - #### isForceMenuUpdate

          java.lang.Boolean isForceMenuUpdate()

    - #### setMaxHeight

          void setMaxHeight(int maxHeight)

    - #### getMaxHeight

          int getMaxHeight()

    - #### setModel

          void setModel(MenuModel model)

    - #### getModel

          MenuModel getModel()

    - #### setMy

          void setMy(java.lang.String my)

    - #### getMy

          java.lang.String getMy()

    - #### setPosition

          void setPosition(java.lang.String position)

    - #### getPosition

          java.lang.String getPosition()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTiered

          void setTiered(boolean tiered)

    - #### isTiered

          boolean isTiered()

    - #### setTrigger

          void setTrigger(java.lang.String trigger)

    - #### getTrigger

          java.lang.String getTrigger()

    - #### setTriggerEvent

          void setTriggerEvent(java.lang.String triggerEvent)

    - #### getTriggerEvent

          java.lang.String getTriggerEvent()

    - #### setType

          void setType(java.lang.String type)

    - #### getType

          java.lang.String getType()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

    - #### setZindex

          void setZindex(int zindex)

    - #### getZindex

          int getZindex()

    - #### setForceUpdateCounter

          void setForceUpdateCounter(java.lang.Integer forceUpdateCounter)

    - #### getForceUpdateCounter

          java.lang.Integer getForceUpdateCounter()

    - #### setSubmenuLabels

          void setSubmenuLabels(java.lang.String submenuLabels)

    - #### getSubmenuLabels

          java.lang.String getSubmenuLabels()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.